import 'package:easynetflutter/easynet/log/Logger.dart';
import 'package:easynetflutter/easynet/model/Destination.dart';
import 'package:flutter/cupertino.dart';

class PageBase extends StatelessWidget {
  const PageBase({ Key key, Destination this.destination}) : super(key: key);

  static Map<String, Logger> mapLogger = Map();
  @protected
  final Destination destination;

  @protected
  Logger getLogger() {
    String className = this.toString();
    if (mapLogger.containsKey(className)) {
      return mapLogger[className];
    }
    Logger logger = Logger(className: this.toString());
    mapLogger[className] = logger;
    return logger;
  }

  @override
  Widget build(BuildContext context) {
    return null;
  }
}
